ACE (Agentic Commerce Engine)
API ReferenceExperiments

Create an experiment

POST
/experiments

Create an A/B experiment in a project.

Authorization

AuthorizationBearer <token>

API key in the Authorization header: Authorization: Bearer ace_live_.... Use an ace_test_... key for the free, rate-capped sandbox.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/experiments" \  -H "Content-Type: application/json" \  -d '{    "projectId": "string"  }'
{  "data": null}
{  "error": {    "code": "INSUFFICIENT_CREDITS",    "message": "Not enough credits for this request.",    "details": null  }}
{  "error": {    "code": "INSUFFICIENT_CREDITS",    "message": "Not enough credits for this request.",    "details": null  }}